/* Created by Nitesh Kumar Verma on 05 /28/24 */

import 'dart:async';

import 'package:exide_crr/data/base.dart';
import 'package:exide_crr/my_app.dart';
import 'package:exide_crr/services/service_locator.dart';
import 'package:flutter/material.dart';


Future<void> mainCommon() async {
  WidgetsFlutterBinding.ensureInitialized();
  setup();
  Base base = locator.get<Base>(); //INIT BASE
  await base.initBase();
  // base.getDeviceInfo();
  runApp(const MyApp());


  // await SentryFlutter.init(
  //   (options) {
  //     options.dsn = AppEnvironment.sentryUrl;
  //     options.tracesSampleRate = 1.0;
  //   },
  //   // Init your App.
  //   appRunner: () => runApp(const MyApp()),
  // ).catchError((error){
  //   debugPrint("sentry error $error");
  // });

  // final appTransaction = Sentry.startTransaction(
  //   'Sentry Performance',
  //   'operation',
  // );
  // appTransaction.finish();
}
