// To parse this JSON data, do
//
//     final getToken = getTokenFromJson(jsonString);

import 'dart:convert';

GetToken getTokenFromJson(String str) => GetToken.fromJson(json.decode(str));

String getTokenToJson(GetToken data) => json.encode(data.toJson());

class GetToken {
  String? token;
  DateTime? expiryDate;

  GetToken({
     this.token,
     this.expiryDate,
  });

  factory GetToken.fromJson(Map<String, dynamic> json) => GetToken(
    token: json["token"],
    expiryDate:json["expiryDate"]!=null? DateTime.parse(json["expiryDate"]):null,
  );

  Map<String, dynamic> toJson() => {
    "token": token,
    "expiryDate": expiryDate?.toIso8601String(),
  };
}
