/* Created by Nitesh Kumar */

import 'package:exide_crr/routes/routes_name.dart';
import 'package:exide_crr/views/languageSelectionScreen/views/language_selection_screen.dart';
import 'package:exide_crr/views/loginScreen/view/login_screen.dart';
import 'package:exide_crr/views/splash/splash_screen.dart';
import 'package:exide_crr/views/splash/splash_screen.dart';
import 'package:get/get.dart';

import '../views/verifyOTP/view/verify_otp_screen.dart';


class Routes {
  static String tag = "APP Routing";

  static List<GetPage> getRoutingPages() {
    return [
      GetPage(
        name: RoutesName.splashScreen,
        page: () => const SplashScreen(),
        transitionDuration: const Duration(milliseconds: 800),
        transition: Transition.cupertinoDialog,
      ),
      GetPage(
        name: RoutesName.languageSelectionScreen,
        page: () => const LanguageSelectionScreen(),
        transitionDuration: const Duration(milliseconds: 800),
        transition: Transition.cupertinoDialog,
      ),
      GetPage(
        name: RoutesName.loginScreen,
        page: () => const LoginScreen(),
        transitionDuration: const Duration(milliseconds: 800),
        transition: Transition.cupertinoDialog,
      ),
      GetPage(
        name: RoutesName.verifyOtp,
        page: () =>  const VerifyOtp(),
        transitionDuration: const Duration(milliseconds: 800),
        transition: Transition.cupertinoDialog,
      ),
    ];
  }
}
