import 'package:exide_crr/res/app_color_text_size.dart';
import 'package:flutter/material.dart';

class CustomBorder {
  static OutlineInputBorder errorBorder = OutlineInputBorder(
        borderRadius: BorderRadius.circular(12),
        borderSide: const BorderSide(
            color: AppColor.primaryRedColor,
            width: 2
        )
    );

  static OutlineInputBorder focusBorder = OutlineInputBorder(
        borderRadius: BorderRadius.circular(12),
        borderSide: const BorderSide(
            color: AppColor.primaryColor,
            width: 2
        )
    );

  static OutlineInputBorder focusedErrorBorder = OutlineInputBorder(
        borderRadius: BorderRadius.circular(12),
        borderSide: const BorderSide(
            color: AppColor.primaryRedColor,
            width: 2
        )
    );

  static OutlineInputBorder enabledBorder = OutlineInputBorder(
        borderRadius: BorderRadius.circular(12),
        borderSide: const BorderSide(
            color: AppColor.transparent,
            width: 2
        )
    );
}