/* Created by Nitesh Kumar Verma on 15/12/23 */

import 'package:flutter/material.dart';

class AppConfigCons {
  static const appName = "radha exports";
  static const appPackage = "com.niveus.radhaexports.dev";
  static const appVersion = "1";
  static const appBuildVersion = "1.0.0";
  static const buildSignature = "buildSignature";

  static const languageSupported = [Locale("en_us")];

  static const prodServer = "https://34.36.169.7.nip.io";
  static const uatServer = "https://kong-proxy-uat.34.144.253.77.nip.io/b2b";
  static const devServer = "https://kong-proxy-dev.34.144.253.77.nip.io/b2b";
  static const testServer = "https://34.36.169.7.nip.io";

  static const appDevName = "Exide-dev";
  static const appUATName = "Exide-UAT";
  static const appProdName = "Exide";

  static const adminProd = "https://1upnow-api.hdfcergo.com/";
  static const adminUat = "https://advisor-uat-api.test-uat.com/";
  static const adminDev = "https://advisor-api.itnext-dev.com/";
  static const adminTest = "https://advisor-api.itnext-dev.com/";

  static const sentryProdUrl = "https://advisor-api.itnext-dev.com/";
  static const sentryUatUrl = "https://advisor-api.itnext-dev.com/";
  static const sentryDevUrl = "https://advisor-api.itnext-dev.com/";
  static const sentryTestUrl = "https://advisor-api.itnext-dev.com/";
  static const fireStoreUrl = "https://advisor-api.itnext-dev.com/";

  static const firebaseAppConfig = "config";
  static const generateJWTToken = "oauth/jwt";

  static const int maxSearchLength = 2;
  static const maxLoginMinutes = 12 * 60;
  static const apiTimeout = 120; // 30seconds
  static const firebaseRemoteApiTimeout = 180; // 180seconds
  static const firebaseMinimumFetchInterval = 1; // 1hr

//FIREBASE REMOTE CONFIG ENDPOINT HERE
  static const String assetUrl = "assetUrl";
  static const String apiEncryptionSecret = "AUTH_KEY";
  static const String forgotPasswordURL = "forgotPasswordURL";
  static const String testFeedback = "testFeedback";
  static const String clientId = "clientId";
  static const String clientSecretKey = "clientSecret";

  static const String androidVersion = 'androidVersion';
  static const String androidMinVersion = 'androidMinVersion';
  static const String androidMinBuild = 'androidMinBuild';
  static const String androidBuild = 'androidBuild';
  static const String iosMinBuild = 'iosMinBuild';
  static const String iosBuild = 'iosBuild';
  static const String iosVersion = 'iosVersion';
  static const String iosMinVersion = 'iosMinVersion';
  static const String iosUpdateUrl = 'iosUpdateUrl';
  static const String apkUpdateUrl = 'apkUpdateUrl';
  static const String lookerDashboardUrl = 'dashboardUrl';
}