/* Created by Nitesh Kumar Verma on 12/15/23 */

import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:exide_crr/constants/app_config_constants.dart';
import 'package:exide_crr/data/firestore_service.dart';

class FireStoreHelper {
  /// Initialize Firebase
  final FirebaseFirestore fireStore = FireStoreService().fireStore;
  String tag = "FireStoreHelper";
  late FirebaseFirestore db;

  FireStoreHelper() {
    db = fireStore;
  }

  Future<QuerySnapshot> getCardConfig() {
    return db.collection(AppConfigCons.firebaseAppConfig).get();
  }
}
