/* Created by Nitesh Kumar on 4/11/23 */

import 'package:exide_crr/data/base.dart';
import 'package:exide_crr/data/fire_store_helper.dart';
import 'package:exide_crr/data/remote_config_helper.dart';
import 'package:exide_crr/preferences/app_shared_preferences.dart';
import 'package:get_it/get_it.dart';
final locator = GetIt.instance;

void setup() {
  locator.registerLazySingleton<PreferenceHelper>(() => PreferenceHelper());
  locator.registerLazySingleton<Base>(() => Base());
  locator.registerLazySingleton<RemoteConfigHelper>(() => RemoteConfigHelper());
  locator.registerLazySingleton<FireStoreHelper>(() => FireStoreHelper());
}
