import 'package:flutter/cupertino.dart';
import 'package:get/get.dart';

import '../../../appLocalization/language_key.dart';
import '../../../customWidget/button_widget.dart';
import '../../../res/app_color_text_size.dart';
import '../controller/verify_otp_controller.dart';

Widget floatingBottomButton(VerifyOtpController controller,BuildContext context){
  return Container(
    padding: const EdgeInsets.symmetric(horizontal: 14.0),
    width: MediaQuery.of(context).size.width,
    height: 50,
    child: CustomButton(
      isLoading: controller.verifyLoader.value,
      width: MediaQuery.of(context).size.width,
      height: 50,
      buttonName: verify.tr,
      activeBackgroundColor: controller.verifyLoader.value
          ? AppColor.inActiveButtonColor
          : AppColor.darkRed,
      isActive: controller.otpTextController.value.text.length == 4,
      onTap: () => controller.onClickVerifyHandler(context),
    ),
  );
}