import 'dart:ui';

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

import '../../../appLocalization/language_key.dart';
import '../../../customWidget/app_text.dart';
import '../../../res/app_color_text_size.dart';
import '../../../utils/res/styles.dart';
import '../controller/verify_otp_controller.dart';

Widget resendOTPText(VerifyOtpController controller){
  return controller.counter.value == 0
      ? InkWell(
    onTap: controller.onClickResendOTP,
    child: AppText(
      text: resendOTP.tr,
      fontSize: TextSize.textSmallSize,
      underLine: true,
      fontWeight: FontWeight.w400,
      textColor: AppColor.redLight,
      maxLine: 3,
      textAlign: TextAlign.start,
      underlineColor: AppColor.redLight,
    ),
  )
      : RichText(
    text: TextSpan(
      children: <TextSpan>[
        TextSpan(
            text: resendOTP.tr,
            style: Styles.resendTextUnderline),
        TextSpan(
            text: "${resendOTPIn.tr}${controller.counter} ${seconds.tr}",
            style: Styles.resendText),
      ],
    ),
  );
}